Test webhook
curl --request POST \
--url https://api.heullo.com/api/v1/inbound/webhooks/{id}/test \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heullo.com/api/v1/inbound/webhooks/{id}/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heullo.com/api/v1/inbound/webhooks/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/inbound/webhooks/{id}/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/inbound/webhooks/{id}/test"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.heullo.com/api/v1/inbound/webhooks/{id}/test")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/inbound/webhooks/{id}/test")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"success": true,
"statusCode": 123,
"response": "<string>",
"error": "<string>"
},
"etag": "<string>",
"message": "<string>",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"status": 123,
"success": true,
"timestamp": "2023-11-07T05:31:56Z"
}Inbound SMS
Test webhook
POST /api/v1/inbound/webhooks//test
POST
/
api
/
v1
/
inbound
/
webhooks
/
{id}
/
test
Test webhook
curl --request POST \
--url https://api.heullo.com/api/v1/inbound/webhooks/{id}/test \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heullo.com/api/v1/inbound/webhooks/{id}/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heullo.com/api/v1/inbound/webhooks/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/inbound/webhooks/{id}/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/inbound/webhooks/{id}/test"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.heullo.com/api/v1/inbound/webhooks/{id}/test")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/inbound/webhooks/{id}/test")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"success": true,
"statusCode": 123,
"response": "<string>",
"error": "<string>"
},
"etag": "<string>",
"message": "<string>",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"status": 123,
"success": true,
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - */*
OK
Standard response envelope. data is a WebhookTestData.
The outcome of the test delivery. The response is HTTP 200 with an envelope success of true whatever the outcome, so check success in this payload to tell whether the delivery worked.
Show child attributes
Show child attributes
Show child attributes
Show child attributes

